Subject: bug#1058: 23.0.60; emacs --daemon should not return until socket is ready

From: Dan Nicolaescu <[email-masked]>
Date: Fri, 3 Oct 2008 10:44:10 -0700 (PDT)

Stefan Monnier <[email-masked]> writes:

  > > Hmm, you mean that after "emacs -Q --daemon" if you look with ps there's
  > > no emacs process at all?  And "emacsclient -t" does not connect to it?
  > 
  > Exactly.  But I haven't investigated further yet.  Most likely it's
  > a simple error somewhere that causes Emacs to exit but the message is
  > throw away.  

If this is with an up to date pristine tree, then please debug it, it's
very bad.  I have not seen anything like this on any of the systems that
I use.

  > That's exactly for these kinds of reasons that it's important to
  > keep sending messages to stdout at least until after the server is
  > started: otherwise debugging is a pain.

Well, but that is not how things work when using emacs normally
(i.e. interactive session without --daemon).  
  - Errors in .emacs are shown in the *Messages* buffer.  That still happens
  with --daemon.
  - Interactive questions (like a y-or-n-p in .emacs) get asked in the
  first emacs frame that appears.  I think we agree that something like
  this is ill formed for --daemon.  It would be nice if it failed more
  graciously, but I am not sure it can be easily done within the current
  constraints.

BTW, the splash screen covers that *Messages* buffer quite fast, so
errors at startup are not displayed for too long ...